/*******************************************************************************
 *
 * blueMarine - open source photo workflow
 * =======================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://bluemarine.tidalwave.it
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id: BasicHolder.java,v d7e8fed5e750 2009/09/17 23:55:58 fabrizio $
 *
 ******************************************************************************/
package it.tidalwave.metadata.basic;

import javax.annotation.Nonnull;
import java.util.Date;
import it.tidalwave.metadata.MetadataItemHolder;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: BasicHolder.java,v d7e8fed5e750 2009/09/17 23:55:58 fabrizio $
 *
 ******************************************************************************/
public class BasicHolder extends MetadataItemHolder<Basic> 
  {
    private static final long serialVersionUID = 5068954837549375835L;

    public BasicHolder (@Nonnull final Basic bean)
      {
        super(bean);
      }

    public BasicHolder (@Nonnull final Basic bean,
                        @Nonnull final String sourceName,
                        @Nonnull final String origin,
                        @Nonnull final Date latestModificationTime)
      {
        super(bean, sourceName, origin, latestModificationTime);
      }

    @Override
    public boolean isAvailable() 
      {
        return get().isAvailable();
      }
  }
